Subject: bash mixed-case completion?
From: [email-masked] ("John Cooper")

1 Jul 1997 03:09:26 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <19970701094800000.AAA331.cygnus.gnu-win32@TENDLE>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
Original-CC: [email-masked]
X-Mailer: VM 6.32 under Emacs 19.34.1
X-Attribution: JSC
X-Face: -%]aecOJlhOSKn)}>~DbRQwM6G6gDkOD{2f!2Bt9|S-xC1~Gk^dCp_/HH#zo^u5z8iGty3N
 L_1.GYkj0by`^VQK14EzbsY~BC%%O#x+[Giaf?X`hi9H)oEy]M>cx/Y4.I^5@^#kQrJk*!DwlpX: 1}
 eZVU9: ~_QGIMF5[I
Original-Sender: [email-masked]

Is it possible to have bash be case-insensitive when completing?

i.e. I don't have to *know* the exact case for completion to succeed.
I'd like to be able to type either:
  ls /c/winn<TAB>     OR
  ls /c/WINN<TAB>

... and have them both complete.  Emacs' shell-mode seems to support this.

Also is there a way to get completion to work when a drive letter is
present?

Eg. the following will not complete:

  ls c:/<TAB>

Thanks,

    --- John

[Please copy me on any replies, as I'm not yet on this alias]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".